=== debian/changelog ===
cloudcompare (2.10.1-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 22 Jan 2021 11:02:36 +0800

cloudcompare (2.10.1-2) unstable; urgency=medium

  * Thanks Juhani Numminen for the patch to have
    RPATH absolute. (Closes: #928986)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 May 2019 07:36:32 +0200

cloudcompare (2.10.1-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 17 Jan 2019 20:24:25 +0100
