=== plugins/core/CMakeLists.txt ===

add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qAdditionalIO )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qAnimation )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qBroom )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qCanupo )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qCompass )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qCork )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qCSF )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qCSVMatrixIO )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qEDL )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qFacets )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qHoughNormals )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qHPR )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qLAS_FWF )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qM3C2 )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qPCL )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qPCV )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qPhotoscanIO )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qPoissonRecon )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qRANSAC_SD )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qSRA )
add_subdirectory( ${CMAKE_CURRENT_SOURCE_DIR}/qSSAO )
