=== debian/changelog ===
cloudcompare (2.10.3-4) unstable; urgency=medium

  * d/rules: -DCOMPILE_CC_CORE_LIB_WITH_CGAL=OFF (Closes: #947474)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 08 Jan 2020 10:28:03 +0100

cloudcompare (2.10.3-3) unstable; urgency=medium

  * Also build animation, broom, gmmreg, and m3c2 plugins.
  * debian/control: add libavcodec-dev, libavformat-dev, libswscale-dev,
    liblaszip-dev to build-depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 02 Sep 2019 13:23:19 +0200

cloudcompare (2.10.3-2) unstable; urgency=medium

  * Drop liblas build dependency, will be removed from Debian.
    Thanks for the patch, Bas Couwenberg. (Closes: #932020)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 28 Jul 2019 21:05:50 +0200

cloudcompare (2.10.3-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Jun 2019 10:02:44 +0200

cloudcompare (2.10.2-2) experimental; urgency=medium

  * debian/control: versioned libpdal-dev for LAZ file support.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 06 Jun 2019 13:00:24 +0200

cloudcompare (2.10.2-1) experimental; urgency=medium

  * New upstream version.
  * debian/watch: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 05 Mar 2019 20:43:32 +0100
