=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), cmake, libqt5opengl5-dev, libcgal-dev, libdxflib-dev (>= 2.5.0),
- libglew-dev, libfreenect-dev, libgdal-dev, libgomp1, liblas-c-dev (>= 1.7.0), liblas-dev (>= 1.7.0), libboost-all-dev,
- libjsoncpp-dev, libpdal-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev, libcgal-qt5-dev, libqt5svg5-dev, qttools5-dev-tools, qttools5-dev
+ libglew-dev, libfreenect-dev, libgdal-dev, libgomp1, libboost-all-dev, libavcodec-dev, libavformat-dev, libswscale-dev, liblaszip-dev,
+ libjsoncpp-dev, libpdal-dev (>= 1.9.1+ds-1~exp2), libcurl4-gnutls-dev | libcurl4-openssl-dev, libcgal-qt5-dev, libqt5svg5-dev, qttools5-dev-tools, qttools5-dev
 Standards-Version: 4.2.1
 Homepage: http://www.danielgm.net/cc/
